< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package box
  Definition Classes
    ct
-  package formats
  Definition Classes
    box
- BigDecimalFormat
- BooleanFormat
- DateFormat
- IntegerFormat
- OptionalBigDecimalFormat
- OptionalBooleanFormat
- OptionalDateFormat
- OptionalIntegerFormat
- OptionalStringFormat
- StringFormat

c

uk.gov.hmrc.ct.box.formats

# OptionalBigDecimalFormat 

###

#### class OptionalBigDecimalFormat[T <: CtOptionalBigDecimal] extends Format[T]

Linear Supertypes
Format[T], Reads[T], Writes[T], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptionalBigDecimalFormat
2. Format
3. Reads
4. Writes
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new OptionalBigDecimalFormat(builder: (Option[BigDecimal]) ⇒ T)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def andThen[B](rb: Reads[B])(implicit witness: <:<[T, JsValue]): Reads[B]
   Definition Classes
     Reads
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  def collect[B](error: JsonValidationError)(f: PartialFunction[T, B]): Reads[B]
   Definition Classes
     Reads
8.  def composeWith[B <: JsValue](rb: Reads[B]): Reads[T]
   Definition Classes
     Reads
9.  def contramap[B](f: (B) ⇒ T): Writes[B]
   Definition Classes
     Writes
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def filter(error: JsonValidationError)(f: (T) ⇒ Boolean): Reads[T]
    Definition Classes
      Reads
13.  def filter(f: (T) ⇒ Boolean): Reads[T]
    Definition Classes
      Reads
14.  def filterNot(error: JsonValidationError)(f: (T) ⇒ Boolean): Reads[T]
    Definition Classes
      Reads
15.  def filterNot(f: (T) ⇒ Boolean): Reads[T]
    Definition Classes
      Reads
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def flatMap[B](f: (T) ⇒ Reads[B]): Reads[B]
    Definition Classes
      Reads
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def map[B](f: (T) ⇒ B): Reads[B]
    Definition Classes
      Reads
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def orElse(v: Reads[T]): Reads[T]
    Definition Classes
      Reads
26.  def preprocess(f: PartialFunction[JsValue, JsValue]): Reads[T]
    Definition Classes
      Reads
27.  def reads(json: JsValue): JsResult[T]
    Definition Classes
      OptionalBigDecimalFormat → Reads
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  def transform(transformer: Writes[JsValue]): Writes[T]
    Definition Classes
      Writes
31.  def transform(transformer: (JsValue) ⇒ JsValue): Writes[T]
    Definition Classes
      Writes
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
35.  def widen[B >: T]: Reads[B]
    Definition Classes
      Reads
36.  def writes(out: T): JsValue
    Definition Classes
      OptionalBigDecimalFormat → Writes

### Deprecated Value Members

1.  def compose[B <: JsValue](rb: Reads[B]): Reads[T]
   Definition Classes
     Reads
   Annotations
     @deprecated
   Deprecated

     (Since version 2.7.0) Use composeWith

### Inherited from Format[T]

### Inherited from Reads[T]

### Inherited from Writes[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped